Bug 470716 - Erroneous E: no-buildroot-tag
Erroneous E: no-buildroot-tag
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-11-09 04:20 EST by Nicolas Mailhot
Modified: 2010-12-07 16:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-07 16:32:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-11-09 04:20:55 EST
Description of problem:

For some obscure reason rpmlint thinks packages produced by http://cvs.fedoraproject.org/viewvc/devel/dejavu-fonts/dejavu-fonts.spec?revision=1.89&view=markup are missing a buildroot

Version-Release number of selected component (if applicable):

rpmlint-0.85-1.fc10.noarch
Comment 1 Ville Skyttä 2008-11-09 14:34:57 EST
The reason is that the font_subpkg's %files line tricks rpmlint's simple specfile parser into thinking that the BuildRoot line as well as others nearby it are in a %files section instead of being "package" level lines, and thus checks like existence of BuildRoot are not done for them.  No ETA for a fix yet, could be more than a little work.
Comment 2 Bug Zapper 2008-11-26 00:05:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jon Stanley 2008-11-26 14:13:40 EST
Fixing version to align with rawhide again.  Sorry for the noise.
Comment 4 Bug Zapper 2009-06-09 05:51:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 08:19:29 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Admin XMLRPC Client 2010-12-07 16:19:06 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Tom "spot" Callaway 2010-12-07 16:32:15 EST
Fixed in rawhide, because we don't care about the BuildRoot checks anymore.

Note You need to log in before you can comment on or make changes to this bug.